Index: main/trunk/greenstone3/.classpath
===================================================================
--- main/trunk/greenstone3/.classpath	(revision 29118)
+++ main/trunk/greenstone3/.classpath	(revision 29143)
@@ -15,9 +15,13 @@
 	<classpathentry kind="lib" path="gs2build/bin/java/GLIServer.jar"/>
 	<classpathentry kind="lib" path="gs2build/bin/java/JDBMWrapper.jar"/>
-	<classpathentry kind="lib" path="gs2build/bin/java/LuceneWrapper3.jar"/>
+	<classpathentry kind="lib" path="gs2build/bin/java/LuceneWrapper4.jar"/>
 	<classpathentry kind="lib" path="gs2build/bin/java/xalan.jar"/>
 	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/lib/lucene-core-2.3.2.jar"/>
 	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/lib/lucene-core-3.3.0.jar"/>
-	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/LuceneWrapper3.jar"/>
+	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/lib/lucene-core-4.7.2.jar"/>
+	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/lib/lucene-analyzers-common-4.7.2.jar"/>
+	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/lib/lucene-analyzers-kuromoji-4.7.2.jar"/>
+	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/lib/lucene-analyzers-queryparser-4.7.2.jar"/>
+	<classpathentry kind="lib" path="gs2build/common-src/indexers/lucene-gs/LuceneWrapper4.jar"/>
 	<classpathentry kind="lib" path="gs2build/common-src/indexers/mg/mg.jar"/>
 	<classpathentry kind="lib" path="gs2build/common-src/indexers/mgpp/mgpp.jar"/>
@@ -75,5 +79,5 @@
 	<classpathentry kind="lib" path="web/WEB-INF/lib/log4j-1.2.8.jar"/>
 	<classpathentry kind="lib" path="web/WEB-INF/lib/lucene-1.4.1.jar"/>
-	<classpathentry kind="lib" path="web/WEB-INF/lib/LuceneWrapper3.jar"/>
+	<classpathentry kind="lib" path="web/WEB-INF/lib/LuceneWrapper4.jar"/>
 	<classpathentry kind="lib" path="web/WEB-INF/lib/mail.jar"/>
 	<classpathentry kind="lib" path="web/WEB-INF/lib/maxent-2.4.0.jar"/>
Index: main/trunk/greenstone3/build.xml
===================================================================
--- main/trunk/greenstone3/build.xml	(revision 29118)
+++ main/trunk/greenstone3/build.xml	(revision 29143)
@@ -2195,5 +2195,5 @@
     </if>
 
-    <copy file="${lucene.home}/LuceneWrapper3.jar" todir="${web.lib}"/>    
+    <copy file="${lucene.home}/LuceneWrapper4.jar" todir="${web.lib}"/>    
   </target>
   
@@ -2401,5 +2401,5 @@
     <!-- LuceneWrapper jar file not installed by default -->
     <mkdir dir="${gs2build.home}/bin/java"/>
-    <copy file="${lucene.home}/LuceneWrapper3.jar" todir="${gs2build.home}/bin/java"/>
+    <copy file="${lucene.home}/LuceneWrapper4.jar" todir="${gs2build.home}/bin/java"/>
 
   </target>
Index: main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2LuceneSearch.java
===================================================================
--- main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2LuceneSearch.java	(revision 29118)
+++ main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2LuceneSearch.java	(revision 29143)
@@ -29,6 +29,6 @@
 
 import org.apache.log4j.Logger;
-import org.greenstone.LuceneWrapper3.GS2LuceneQuery;
-import org.greenstone.LuceneWrapper3.LuceneQueryResult;
+import org.greenstone.LuceneWrapper4.GS2LuceneQuery;
+import org.greenstone.LuceneWrapper4.LuceneQueryResult;
 import org.greenstone.gsdl3.util.FacetWrapper;
 import org.greenstone.gsdl3.util.GSFile;
Index: main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java
===================================================================
--- main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java	(revision 29118)
+++ main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java	(revision 29143)
@@ -8,4 +8,5 @@
 
 import org.apache.log4j.Logger;
+import org.apache.lucene.index.DirectoryReader;
 import org.apache.lucene.index.IndexReader;
 import org.apache.lucene.index.Term;
@@ -173,5 +174,6 @@
 			index_dir += File.separator + index;
 			Directory index_dir_dir = FSDirectory.open(new File(index_dir));
-			IndexSearcher searcher = new IndexSearcher(index_dir_dir);
+			IndexReader reader = DirectoryReader.open(index_dir_dir); //deprecated: IndexReader.open(index_dir_dir);
+			IndexSearcher searcher = new IndexSearcher(reader);
 
 			Term term = new Term("content", query_string);
@@ -182,6 +184,4 @@
 
 			GSXML.addMetadata(metadata_list, "numDocsMatched", "" + hits.scoreDocs.length);
-
-			IndexReader reader = searcher.getIndexReader();
 
 			for (int i = 0; i < hits.scoreDocs.length; i++)
Index: main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/SharedSoleneGS2FieldSearch.java
===================================================================
--- main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/SharedSoleneGS2FieldSearch.java	(revision 29118)
+++ main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/SharedSoleneGS2FieldSearch.java	(revision 29143)
@@ -23,5 +23,5 @@
 
 import org.apache.log4j.Logger;
-import org.greenstone.LuceneWrapper3.SharedSoleneQuery;
+import org.greenstone.LuceneWrapper4.SharedSoleneQuery;
 import org.greenstone.gsdl3.util.GSXML;
 import org.greenstone.gsdl3.util.XMLConverter;