Index: /other-projects/expeditee-release-kits/create-expeditee.bat
===================================================================
--- /other-projects/expeditee-release-kits/create-expeditee.bat	(revision 29231)
+++ /other-projects/expeditee-release-kits/create-expeditee.bat	(revision 29232)
@@ -1,13 +1,15 @@
 @echo off
-::call "C:\Program Files\Microsoft SDKs\Windows\v6.1\Bin\SetEnv.cmd"
-::call "C:\Program Files\Microsoft Visual Studio 9.0\VC\bin\vcvars32.bat"
+setlocal
+
+:: currentdir (C:\Research\Nightly)
+set currentdir=%CD%
 
 :: Need to edit rke-setup.bat and fill it in with local env vars values
-if not exist C:\Research\Nightly\tools\expeditee-release-kits\rke-setup.bat (
+if not exist %currentdir%\tools\expeditee-release-kits\rke-setup.bat (
 echo. 
 echo ******************* 
 echo. 
-echo First edit C:\Research\Nightly\tools\expeditee-release-kits\rke-setup.bat.in 
-echo to generate C:\Research\Nightly\tools\expeditee-release-kits\rke-setup.bat
+echo First edit %currentdir%\tools\expeditee-release-kits\rke-setup.bat.in 
+echo to generate %currentdir%\tools\expeditee-release-kits\rke-setup.bat
 echo. 
 echo ******************* 
@@ -18,6 +20,11 @@
 :: rke-setup.bat uses local paths, so cd into expeditee-release-kits first
 :: then call rke-setup.bat to source the environment vars it sets
-pushd C:\Research\Nightly\tools\expeditee-release-kits
+pushd %currentdir%\tools\expeditee-release-kits
 call rke-setup.bat
+if ERRORLEVEL 1 (
+	echo error level 1 or more
+	popd	
+	exit /B 1
+)
 popd
 
@@ -25,11 +32,15 @@
 :: Make sure the expeditee folder and its rke-build.properties file exist
 :: Then run the 'rke' command from snapshots\expeditee
-pushd C:\Research\Nightly\snapshots
+pushd %currentdir%\snapshots
 ::http://www.robvanderwoude.com/battech_ifexistfolder.php
 if not exist expeditee\ mkdir expeditee
 if not exist expeditee\rke-build.properties copy C:\Research\Nightly\tools\expeditee-release-kits\rke-build.properties.in expeditee\rke-build.properties
-cd expeditee
+pushd expeditee
 rke
-popd
+:: It doesn't reach here for some reason
+::popd
+::cd %currentdir%
+::echo ************** HERE I AM
 
 :end
+endlocal
Index: /other-projects/expeditee-release-kits/rke-setup.bat.in
===================================================================
--- /other-projects/expeditee-release-kits/rke-setup.bat.in	(revision 29231)
+++ /other-projects/expeditee-release-kits/rke-setup.bat.in	(revision 29232)
@@ -1,9 +1,9 @@
 @echo off
 
-: Example setup file for generating the installer
-:   => Copy this to setup.bat, and then edit values below to
-:      be meaninful for you own computer setup
+:: Example setup file for generating the installer
+::   => Copy this to setup.bat, and then edit values below to
+::      be meaninful for you own computer setup
 
-: Probably need Visual Studio on your command line as well (need to check)
+:: Probably need Visual Studio on your command line as well (need to check)
 
 
@@ -16,17 +16,30 @@
 
 
-:: Set VCVars bat file here
+:: Set Visual Studio environment here by calling vcvars. MS SDK not needed for Expeditee
+::call "C:\Program Files\Microsoft SDKs\Windows\v6.1\Bin\SetEnv.cmd"
 call "C:\Program Files\Microsoft Visual Studio 9.0\VC\bin\vcvars32.bat"
-called vcvars
+echo   Called vcvars 32 bit
 
 set JAVA_HOME=C:\Program Files\Java\jdk1.8.0
+if not exist "%JAVA_HOME%\" (
+	echo ***** JAVA_HOME %JAVA_HOME% does not exist. Set this in %0
+	exit /B 1
+)
 set PATH=%JAVA_HOME%\bin;%PATH%
 echo   Adding in JDK 1.8.1
 
 set ANT_HOME=C:\cygwin2013\home\davidb\research\packages\ant-1.9.2
+if not exist "%ANT_HOME%\" (
+	echo ***** ANT_HOME %ANT_HOME% does not exist. Set this in %0
+	exit /B 1
+)
 set PATH=%ANT_HOME%\bin;%PATH%
 echo   Adding in Ant 1.9
 
 set "SVN_HOME=C:\Program Files\SlikSvn"
+if not exist "%SVN_HOME%\" (
+	echo ***** Can't find SVN in %SVN_HOME%. Set SVN path in %0
+	exit /B 1
+)
 set PATH=%SVN_HOME%\bin;%PATH%
 echo   Adding in Slik SVN 1.8.5
@@ -35,5 +48,4 @@
 echo   Adding RKE scripts into PATH
 echo *===
-
 
 echo.
@@ -44,5 +56,5 @@
 echo ****
 
+:end
 
 
-