Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29254)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29255)
@@ -754,5 +754,7 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. <MajorVersion number="2">Change</MajorVersion><MajorVersion number="3">Set</MajorVersion> the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
+<!--START GS3 WORKSHOP-->
+<!--<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. <MajorVersion number="2">Change</MajorVersion><MajorVersion number="3">Set</MajorVersion> the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>-->
+<!-- END GS3 WORKSHOP -->
 <MajorVersion number="2"><Text id="0386a">To change the text that is displayed for the index (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>), go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form.</Text></MajorVersion>
 <Comment>
@@ -1221,5 +1223,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="pdfbox-ext-11">Now that you've installed the PDFBox extension, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension, go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left, and on the right double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and rebuild your collection. This time, PDF files will be processed by PDFBox which will extract their text.</Text>
+<Text id="pdfbox-ext-11">Now that you've installed the PDFBox extension, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension, go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left, and on the right double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and build your collection. This time, PDF files will be processed by PDFBox which will extract their text.</Text>
 <Text id="pdfbox-ext-12">Try this feature out on a collection of recent PDF files, by configuring its PDFPlugin with the <AutoText text="pdfbox_conversion"/> option turned on.</Text>
 </NumberedItem>