Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29264)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29289)
@@ -5718,5 +5718,5 @@
 <NumberedItem>
 <Text id="ni1-13">Visit <i>http://www.os-templates.com/free-website-templates/news-magazine</i> and click the <b>Download Here</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. This will download the file news-magazine.7z, which has a <i>7zip</i> extension. If you have 7zip installed, then you can extract the file in place. If not, you can either download the free utility, 7zip, from the web, or alternatively use an online service to convert it to a zip file that Windows can extract.</Text> 
-<Text id="ni1-13a">To do the latter, visit <AutoText text="wobzip.org" />. Click the <AutoText text="Browse from computer" /> button, and in the file browser dialog that appears, navigate to where you downloaded the <i>news-magazine.7z</i> file, select the file and confirm to close the file browser dialog. Next, click the <AutoText text="Uncompress" /> button at <i>wobzip.org</i> and wait until the site's extracted the 7z file and takes you to its download page. On the page that then loads, click the <AutoText text="Download as zip" /> button. (After downloading has finished, you can press the <AutoText text="Delete Upload" /> button.) </Text>
+<Text id="ni1-13a">To do the latter, visit <AutoText text="wobzip.org" />. Click the <AutoText text="Browse from computer" /> button, and in the file browser dialog that appears, navigate to where you downloaded the <i>news-magazine.7z</i> file, select the file and confirm to close the file browser dialog. Next, click the <AutoText text="Uncompress" /> button at <i>wobzip.org</i> and wait until the site has extracted the 7z file and takes you to its download page. When that page now loads, click the <AutoText text="Download as zip" /> button. (<i>After</i> downloading has finished, you can press the <AutoText text="Delete Upload" /> button to clear all your files from WOBZIP's server.) </Text>
 <Text id="ni1-13b">On Windows, this will save the file <b>news-magazine.zip</b> in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates. (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
 </NumberedItem>
@@ -5735,5 +5735,5 @@
 <NumberedItem>
 <Text id="ni1-18a">Now, from the <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>styles</b>, <b>images</b>, and <b>transform</b> folders, as well as the <b>index-GS3.html</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path> (If a popup window asks whether you want to merge the images and styles folders, select "Yes".)</Text> 
-<Text id="ni1-18b">Next, copy the two javascript files, <i>jquery.galleryview-2.1.1.js</i> and <i>jquery.galleryview.2.1.1.min.js</i>, in <Path>sample_files &rarr; interfaces &rarr; aybara</Path> to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>, replacing the existing files by this name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
+<Text id="ni1-18b">Next, copy the two javascript files, <i>jquery.galleryview-2.1.1.js</i> and <i>jquery.galleryview.2.1.1.min.js</i>, in <Path>sample_files &rarr; interfaces</Path> to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; scripts</Path>, replacing the existing files by this name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
 <Text id="ni1-18c">We have now gathered all of the Javascript, CSS, and images our new interface will use.</Text>
 <Text id="ni1-19">Double click on <Path>perrin &rarr; index-GS3.html</Path> to open it in a browser window. This file isn't used by the new interface, but provides a preview of how the interface will look. </Text>
@@ -5914,5 +5914,5 @@
 </Heading>
 <NumberedItem>
-<Text id="ni2-18">From the <Path> sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy header.xsl into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; transform &rarr; layouts</Path>. Refresh your web browser: nothing should have changed.</Text>
+<Text id="ni2-18">From the <Path> sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy header.xsl into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; transform &rarr; layouts</Path>. (Be aware that the destination now is the <i>layouts</i> folder and not the <i>pages</i> folder whereto you had previously copied home.xsl) Refresh your web browser: nothing should have changed.</Text>
 </NumberedItem>
 <NumberedItem>