Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29289)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29293)
@@ -1213,5 +1213,5 @@
 <Comment>
 <Text id="pdfbox-ext-8">Note that if you were running GLI through a console, you will want to start up a fresh console, then run the setup script again to set up the Greenstone environment once more, which will this time take the presence of the PDFBox extension into account. </Text>
-<Text id="pdfbox-ext-9">To run the setup script, your console needs to be pointing to your Greenstone installation directory. From here, you would run <Format>setup.bat</Format> if you're on Windows, or <Format>source setup.bash</Format> if you're on Linux.</Text>
+<Text id="pdfbox-ext-9">To run the setup script, your console needs to be pointing to your Greenstone installation directory. From here, you would run <Format>setup.bat</Format> if you're on Windows, or <Format>source ./setup.bash</Format> if you're on Linux.</Text>
 </Comment>
 </NumberedItem>
@@ -4541,4 +4541,9 @@
 <Text id="gs-oai-2">We'll be using an external OAI client to access our up-and-running Greenstone OAI server. It's not just any OAI client either, but an OAI Server validator.</Text>
 </Comment>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="gs-oai-13a">We want the Greenstone library to be accessible to the Open Archives Validator, however URLs that use <Format>localhost</Format> can only be accessed locally. Therefore, if your Greenstone server runs on <Format>localhost</Format> (as it does by default), then you will need to edit the <Format>tomcat.server</Format> property of your Greenstone installation's top-level file <AutoText text="build.properties" type="italics" /> and set this property to your domain name or your machine's IP address.</Text>
+</NumberedItem>
+</MajorVersion>
 <MajorVersion number="2">
 <NumberedItem>
@@ -4564,7 +4569,5 @@
 <NumberedItem>
 <Text id="gs-oai-13">Next you will need to set up your Greenstone server to be accessible from outside, so that external OAI clients can access it.</Text>
-<MajorVersion number="3"><Text id="gs-oai-13a">If your server runs on <AutoText text="localhost"/>, you will need to edit the tomcat-server property of your Greenstone installation's top-level file build.properties to your domain name or your machine's address.</Text></MajorVersion>
-<Text id="gs-oai-14">Go to the <Path>File &rarr; Settings</Path> menu of your Greenstone server interface dialog and check the <AutoText text="Allow External Connections"/> option and also check the <AutoText text="Get local IP and resolve to a name"/> option (or the <AutoText text="Get local IP"/> option) as its address resolution method.</Text> 
-</NumberedItem>
+<Text id="gs-oai-14">Go to the <Path>File &rarr; Settings</Path> menu of your Greenstone server interface dialog and check the <AutoText text="Allow External Connections"/> option and also check the <AutoText text="Get local IP and resolve to a name"/> option (or the <AutoText text="Get local IP"/> option) as its address resolution method.</Text></NumberedItem>
 <NumberedItem>
 <Text id="gs-oai-15">Press the button in the Greenstone Server Interface dialog that says <AutoText text="Enter Library"/> (or it may say <AutoText text="Restart Library"/>). Your Digital Library home page will open up in a browser tab. Adjust this URL to have a suffix of <Format>oaiserver.cgi</Format> in place of the terminating <Format>library.cgi</Format>, then copy the resulting URL and visit <Link>http://www.openarchives.org/Register/ValidateSite</Link>.</Text> 
@@ -4808,5 +4811,6 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0783"><MajorVersion number="2">Leave <AutoText text="VList" /> as the <AutoText key="glidict::CDM.FormatManager.Part"/> and click</MajorVersion><MajorVersion number="3">Click</MajorVersion> <AutoText key="glidict::CDM.FormatManager.Add" type="button"/>. <MajorVersion number="3">Adjust the <AutoText text="documentNode"/> template of this format statement to make reference to <Format>&lt;gsf:equivDocLink/&gt;</Format>  too, exactly as in the previous step. Then replace</MajorVersion><MajorVersion number="2">Edit the text in the <AutoText key="glidict::CDM.FormatManager.Editor"/> box.  Replace</MajorVersion></Text>
+<Text id="0783"><MajorVersion number="2">Leave <AutoText text="VList" /> as the <AutoText key="glidict::CDM.FormatManager.Part"/> and click</MajorVersion><MajorVersion number="3">Click</MajorVersion> <AutoText key="glidict::CDM.FormatManager.Add" type="button"/>.
+<MajorVersion number="3">Replace</MajorVersion><MajorVersion number="2">Edit the text in the <AutoText key="glidict::CDM.FormatManager.Editor"/> box. Replace</MajorVersion></Text>
 <Format>
 <MajorVersion number="2">{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}</MajorVersion>
@@ -4835,8 +4839,24 @@
 <MajorVersion number="3">And for individual documents within each bookshelf, it will display the <AutoText text="ex.dc.Title"/>.</MajorVersion></Text>
 </NumberedItem>
-<NumberedItem>
-<MajorVersion number="3">
-<Text id="0785">Make the same change to <AutoText text="CL2" />'s <AutoText text="documentNode" /> template as you did above for the <AutoText text="browse" /> format statement's <AutoText text="documentNode" /> template.</Text>
-</MajorVersion>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="0785">Make the same change to <AutoText text="CL2" />'s <AutoText text="documentNode" /> template as you did above for the <AutoText text="browse" /> format statement's <AutoText text="documentNode" /> template, by adding the following text before the final <Format>&lt;/td&gt;</Format> of <AutoText text="CL2" />'s <AutoText text="documentNode"/> template:</Text>
+<Format>
+      &lt;gsf:switch&gt;<br />
+        <Tab n="1"/>&lt;gsf:metadata name=&quot;equivDocLink&quot;/&gt;<br />
+        <Tab n="1"/>&lt;gsf:when test=&quot;exists&quot;&gt;<br />
+	  <Tab n="2"/>&lt;br/&gt;Also available as: <br />
+	  <Tab n="2"/>&lt;gsf:metadata name=&quot;equivDocLink&quot;/&gt;<br/>
+	  <Tab n="2"/>&lt;gsf:metadata name=&quot;equivDocIcon&quot;/&gt;<br/>
+	  <Tab n="2"/>&lt;gsf:metadata name=&quot;/equivDocLink&quot;/&gt;<br/>
+        <Tab n="1"/>&lt;/gsf:when&gt;<br />
+      &lt;/gsf:switch&gt;
+</Format>
+</NumberedItem>
+<NumberedItem>
+<Text id="0785a">Repeat the exact same step for the <AutoText text="search" /> format feature's <AutoText text="documentNode"/> template, so that it now also makes reference to <Format>&lt;gsf:equivDocLink/&gt;</Format>.</Text>
+</NumberedItem>
+</MajorVersion>
+<NumberedItem>
 <Text id="0786"><b>Build</b> the collection once again and <b>preview</b> it.</Text>
 </NumberedItem>
@@ -4872,6 +4892,6 @@
 <Text id="0790d">to set up the ability to run Greenstone command-line programs.</Text>
 <Text id="0790e">On a Linux or Mac machine, you would similarly open a terminal, change directory into your Greenstone installation's top-level folder and type:</Text>
-<MajorVersion number="2"><Command>source setup.bash</Command></MajorVersion>
-<MajorVersion number="3"><Command>source gs3-setup.sh</Command></MajorVersion>
+<MajorVersion number="2"><Command>source ./setup.bash</Command></MajorVersion>
+<MajorVersion number="3"><Command>source ./gs3-setup.sh</Command></MajorVersion>
 </NumberedItem>
 <NumberedItem>
@@ -5049,5 +5069,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-28-3">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. In the <AutoText text="advanced search form"/> page, switch <AutoText text="case"/> folding to <AutoText text="off"/> (<AutoText text="upper/lower case must match"/>). Now try searching for <i>fao</i> and <i>FAO</i> respectively. Notice the search results are different this time, with <i>fao</i> not returning any results.</Text>
+<Text id="indexers-28-3">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. In the <AutoText text="form search"/> page, switch <AutoText text="case"/> folding to <AutoText text="off"/> (<AutoText text="upper/lower case must match"/>). Now try searching for <i>fao</i> and <i>FAO</i> respectively. Notice the search results are different this time, with <i>fao</i> not returning any results.</Text>
 </NumberedItem>
 </MajorVersion>
@@ -5605,6 +5625,6 @@
 <Text id="dl-17">When we restarted the server throughout this tutorial, Greenstone launched a browser window to <i>http://localhost:8383/greenstone3/library</i>, and we had to navigate to our new library's URL. When you are working in a particular library, you may want to go directly to its URL when the server starts. To do this, in the <b>Greenstone Server</b> window, go to <Path>File &rarr; Settings...</Path> and select your library (for example, <b>rand</b>) from the Servlet dropdown menu. Now, when you click <b>Restart Library</b>, a window will open to <i> http://localhost:8383/greenstone3/rand</i>. </Text>
 </NumberedItem>
+<NumberedItem>
 <Text id="dl-17a">Quit the Greenstone 3 server.</Text>
-<NumberedItem>
 </NumberedItem>
 <NumberedItem>
@@ -5735,5 +5755,5 @@
 <NumberedItem>
 <Text id="ni1-18a">Now, from the <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>styles</b>, <b>images</b>, and <b>transform</b> folders, as well as the <b>index-GS3.html</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path> (If a popup window asks whether you want to merge the images and styles folders, select "Yes".)</Text> 
-<Text id="ni1-18b">Next, copy the two javascript files, <i>jquery.galleryview-2.1.1.js</i> and <i>jquery.galleryview.2.1.1.min.js</i>, in <Path>sample_files &rarr; interfaces</Path> to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; scripts</Path>, replacing the existing files by this name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
+<Text id="ni1-18b">Next, copy the two javascript files in <Path>sample_files &rarr; interfaces</Path> (<i>jquery.galleryview-2.1.1.js</i> and <i>jquery.galleryview.2.1.1.min.js</i>) to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; scripts</Path>, replacing the existing files by this name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
 <Text id="ni1-18c">We have now gathered all of the Javascript, CSS, and images our new interface will use.</Text>
 <Text id="ni1-19">Double click on <Path>perrin &rarr; index-GS3.html</Path> to open it in a browser window. This file isn't used by the new interface, but provides a preview of how the interface will look. </Text>