Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29314)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 29315)
@@ -754,7 +754,5 @@
 </NumberedItem>
 <NumberedItem>
-<!--START GS3 WORKSHOP-->
-<!--<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. <MajorVersion number="2">Change</MajorVersion><MajorVersion number="3">Set</MajorVersion> the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>-->
-<!-- END GS3 WORKSHOP -->
+<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. <MajorVersion number="2">Change</MajorVersion><MajorVersion number="3">Set</MajorVersion> the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
 <MajorVersion number="2"><Text id="0386a">To change the text that is displayed for the index (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>), go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form.</Text></MajorVersion>
 <Comment>
@@ -1568,5 +1566,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="assoc-files-5">Copy the files pdf03.pdf and word03.doc provided in sample_files &rarr; Word_and_PDF &rarr; Documents into your new collection. Do this by dragging these files across from the filesystem view on the left of the <AutoText key="glidict::GUI.Gather"/> panel into the <b>Collection view</b> on the right.</Text>
+<Text id="assoc-files-5">Copy the files pdf01.pdf and word03.doc provided in sample_files &rarr; Word_and_PDF &rarr; Documents into your new collection. Do this by dragging these files across from the filesystem view on the left of the <AutoText key="glidict::GUI.Gather"/> panel into the <b>Collection view</b> on the right.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4696,5 +4694,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="gli-oai-15a">Go to the <AutoText key="glidict::GUI.Design"/> panel, and configure the <AutoText text="OAIPlugin"/> by ticking its <AutoText text="no_cover_image"/> option. Generally, Greenstone will look for any images that have an identical name to the primary document being processed and will associate the image with the document as being the document's cover image. Because the OAI files and the image documents downloaded over OAI have matching names, each image would get treated as the cover image for its associated OAI file. We don't want that behaviour here, so we turn on the <AutoText text="no_cover_image"/> option. This allows the OAIPlugin to attach the metadata of each OAI file with its associated image (treating the image as the primary document), just as intended.</Text>
+<Text id="gli-oai-15a">Go to the <AutoText key="glidict::GUI.Design"/> panel, and configure the <AutoText text="OAIPlugin"/> by ticking its <AutoText text="no_cover_image"/> option. Generally, Greenstone will look for any images that have an identical name to the primary document being processed and will associate the image with the document as being the document's cover image. Because the OAI files and the image documents downloaded over OAI have matching names, each image would get treated as the cover image for its associated OAI file. We don't want that behaviour here, so we turn on the <AutoText text="no_cover_image"/> option. This allows the OAIPlugin to attach the metadata of each OAI file with its associated image (treating the image as the primary document, instead of as a cover image), just as intended.</Text>
 <Text id="gli-oai-15b">Note that this time, we don't configure the <AutoText text="OAIPlugin"/>'s <AutoText text="document_field"/> option to <AutoText key="metadata::ex.dc.Identifier"/>, because the OAI files that have been downloaded over OAI have the associated image's document identifier stored in the <AutoText key="metadata::ex.gi.Sourcedoc"/> metadata field. You can see this if you open up any of the downloaded OAI files in a text editor. The (ex.)gi.Sourcedoc field is consulted by default when the Greenstone building process tries to identify what source document to attach the metadata in each OAI file to.</Text>
 <!--<Text id="gli-oai-15a">Go to the <AutoText key="glidict::GUI.Design"/> panel, and configure the <AutoText text="OAIPlugin"/>'s <AutoText text="document_field"/> option to <AutoText key="metadata::ex.dc.Identifier"/>.</Text>-->